org.eclipse.eef.core.internal

## Class DomainClassPredicate

- java.lang.Object
- - org.eclipse.eef.core.internal.DomainClassPredicate

All Implemented Interfaces:
  com.google.common.base.Predicate<java.lang.Object>

    public class DomainClassPredicate
    extends java.lang.Object
    implements com.google.common.base.Predicate<java.lang.Object>

This class is used to filter EObjects using a domain class.

### Constructor Summary

Constructors
Constructor and Description
`DomainClassPredicate(java.lang.String domainClassName, IEEFDomainClassTester domainClassTester)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `apply(java.lang.Object input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.common.base.Predicate

`equals`

### Constructor Detail

#### DomainClassPredicate

    public DomainClassPredicate(java.lang.String domainClassName,
                                IEEFDomainClassTester domainClassTester)

The constructor.

Parameters:
  `domainClassName` - A domain class "packageName::className" or "packageName.className".
  `domainClassTester` - The class used to test the domain class

### Method Detail

#### apply

    public boolean apply(java.lang.Object input)

Specified by:
  `apply` in interface `com.google.common.base.Predicate<java.lang.Object>`